Subject: Re: [PATCH v4 6/6] builtin: send usage() help text to standard output

From: Junio C Hamano <[email-masked]>
Date: Fri, 17 Jan 2025 11:46:22 -0800

Jeff King <[email-masked]> writes:

> If we do, I think it would be OK to just drop the test_must_be_empty
> line. Now that we are capturing only stdout in "output", checking that
> the usage message is there is probably sufficient.

Yes.

> In the meantime, I think I prefer keeping the slightly more strict form
> above.

I am also in favor of keeping it, if only to learn why we do not
want the overly strict check when the time comes.  That would mean
we would be loosening with a concrete reason why we would want to
loose it at that time, instead of guessing that it might be overly
strict without seeing the fallout before seeing any.

Thanks.